gnutls_tdb_set_store_func(3)

NAME
gnutls_tdb_set_store_func - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_tdb_set_store_func(gnutls_tdb_t tdb, gnutls_tdb_store_func store);

ARGUMENTS

gnutls_tdb_t tdb
    The trust storage

gnutls_tdb_store_func store
    The storage function

DESCRIPTION
This function will associate a storage function with the trust storage structure. The function is of the following form. gnutls_tdb_store_func(const char* db_name, const char* host, const char* service, time_t expiration, const gnutls_datum_t* pubkey);

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/